Subject: Re: bug#28797: 26.0.90; Improve printing of error on catching file-error in dired

From: Noam Postavsky <[email-masked]>
Date: Sun, 05 Nov 2017 12:20:02 -0500

tags 28797 fixed
close 28797 26.1
quit

Eli Zaretskii <[email-masked]> writes:

>> The resulting error will look like
>> 
>>     file-error: Non-regular file: Is a directory, /home/kmodi/.emacs.d/foo
>> 
>> It's not quite the perfect sentence envisioned on the OP, but it gets
>> all the information across, with punctuation separating the parts.
>
> OK, close enough for me.
>
>> >> condition-case-unless-debug for #2.
>> >
>> > This is quite a radical change in very old behavior, so if it is
>> > deemed a good idea, it should go to master.
>> 
>> Hmm, it doesn't seem that radical to me, but I don't have a problem
>> putting it only to master, or even not doing that at all and just saying
>> the user should use debug-on-signal.
>
> It's radical because we never produce backtrace in similar cases
> anywhere else in Emacs.
>
> Let's wait to hear what others think about this part.

I've pushed just the error-message-string part to emacs-26.  Setting
debug-on-signal is the documented way of getting a backtrace in this
sort of case, so I think it's good enough to just leave as is.

I think Tino's patch is probably a good idea, but it's not related to
this bug, so I'm closing it now.

[1: efd0371c23]: 2017-11-05 11:38:38 -0500
  Improve dired deletion error handling (Bug#28797)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=efd0371c23c5dd04d73980b42d7cf64bbceccb9a